> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amongst.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent

> Fetches agent details for a specific agent by agentId.



## OpenAPI

````yaml GET /agent/{agentId}
openapi: 3.0.1
info:
  title: Meeting Agent API
  description: >-
    API for managing meeting agents, allowing them to join meetings with
    customizable configurations and fetch meeting data.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://your-hosted-ip/api/v1
security:
  - bearerAuth: []
paths:
  /agent/{agentId}:
    get:
      description: Fetches agent details for a specific agent by agentId.
      parameters:
        - name: agentId
          in: path
          description: The ID of the agent whose details is being fetched
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Agent details successfully fetched for the agent
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAgentResponse'
        '400':
          description: Invalid request or missing agentId
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized access, invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetAgentResponse:
      type: object
      properties:
        url:
          type: string
          description: URL of the meeting recording
        startedAt:
          type: string
          format: date-time
          description: When recording started
        completedAt:
          type: string
          format: date-time
          description: When recording completed
        agent:
          type: object
          properties:
            id:
              type: string
              description: Unique identifier of the agent
            accountId:
              type: string
              description: Account ID associated with the agent
            workspace:
              type: string
              description: Workspace name of the agent
            statusChanges:
              type: array
              items:
                type: object
                properties:
                  code:
                    type: string
                    description: Status code
                  sub_code:
                    type: string
                    nullable: true
                    description: Additional status details
                  createdAt:
                    type: string
                    format: date-time
                    description: When status changed
            createdAt:
              type: string
              format: date-time
              description: When the agent was created
        joinParams:
          type: object
          properties:
            agentId:
              type: string
              description: Unique identifier of the agent
            agentName:
              type: string
              description: Name of the agent
            meetingId:
              type: string
              description: Unique identifier of the meeting
            meetingPassword:
              type: string
              description: Password for the meeting
            meetingUrl:
              type: string
              description: URL of the meeting
            webhookUrl:
              type: string
              description: Webhook URL for receiving meeting events
            platform:
              type: string
              description: Meeting platform (e.g., TEAMS)
            metadata:
              type: object
              description: Custom metadata included with the request
              additionalProperties: true
            automaticLeave:
              type: object
              properties:
                EveryoneLeftTimeout:
                  type: integer
                  description: >-
                    Time (in seconds) to wait before the agent leaves if
                    everyone has left
                NoOneJoinedTimeout:
                  type: integer
                  description: >-
                    Time (in seconds) to wait before the agent leaves if no one
                    has joined
                WaitingRoomTimeout:
                  type: integer
                  description: >-
                    Time (in milliseconds) to wait before the agent leaves if
                    waiting in the room
            adhoc:
              type: boolean
              description: Indicates if the agent joined as an ad-hoc participant
    Error:
      type: object
      properties:
        error:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message
      required:
        - error
        - message
  securitySchemes:
    bearerAuth:
      type: apiKey
      name: Authorization
      in: header
      description: Use the format 'Token <actual token>' for authentication.

````